# Generated by go2rpm 1.3
# TODO: Segfaulting, need to investigate why.
%bcond_with check

# https://github.com/go-redis/redis
%global goipath         github.com/go-redis/redis/v8
Version:                8.4.8

%gometa

%global common_description %{expand:
Type-safe Redis client for Golang.}

%global golicenses      LICENSE
%global godocs          example CHANGELOG.md README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Type-safe Redis client for Golang

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# test fixes and do not assume use of system redis-server for testing
Patch0:         redis-testing-fixes.patch

BuildRequires:  golang(github.com/cespare/xxhash/v2)
BuildRequires:  golang(github.com/dgryski/go-rendezvous)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opentelemetry.io/otel)
BuildRequires:  golang(go.opentelemetry.io/otel/codes)
# Only in examples
# BuildRequires:  golang(go.opentelemetry.io/otel/exporters/metric/stdout)
# BuildRequires:  golang(go.opentelemetry.io/otel/exporters/trace/stdout)
BuildRequires:  golang(go.opentelemetry.io/otel/label)
BuildRequires:  golang(go.opentelemetry.io/otel/metric)
BuildRequires:  golang(go.opentelemetry.io/otel/sdk/metric/controller/push)
BuildRequires:  golang(go.opentelemetry.io/otel/sdk/trace)
BuildRequires:  golang(go.opentelemetry.io/otel/trace)

%if %{with check}
# Tests
BuildRequires:  redis
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/ginkgo/extensions/table)
BuildRequires:  golang(github.com/onsi/gomega)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i "s|github.com/go-redis/redis/extra|github.com/go-redis/redis/v8/extra|" $(find . -iname "*.go" -type f)

%install
%gopkginstall
%global _testdata_redis_src %{_builddir}/redis-%{version}/testdata/redis/src
mkdir -p %{_testdata_redis_src}
ln -s %{_bindir}/redis-server %{_testdata_redis_src}/redis-server

%if %{with check}
%check
# Run a test Redis server rather than assuming the system
# is running one already (see patch0) - non-default port.
redis-cli -p 28126 SHUTDOWN 2>/dev/null || true
redis-server --port 28126 &
sleep 0.2   # time to startup
redis-cli -p 28126 PING || exit 1
%gocheck
redis-cli -p 28126 SHUTDOWN || exit 1
%endif

%gopkgfiles

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 18:14:35 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 8.4.8-2
- Fix extra import path

* Sun Jan 10 13:41:07 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 8.4.8-1
- Initial package
